[oe] [PATCH][meta-networking] ypbind-mt: set path of ypdomainname in ypbind script

Jian Liu jian.liu at windriver.com
Wed Jul 8 03:21:14 UTC 2015


The script ypbind will cause error if using ypdomainname command
provided by busybox. So add RDEPENDCY on yp-tools and change
the path of ypdomainname.

Signed-off-by: Jian Liu <jian.liu at windriver.com>
---
 recipes-support/nis/files/ypbind-yocto.init | 11 ++++++-----
 recipes-support/nis/ypbind-mt_1.36.bb       |  1 +
 2 files changed, 7 insertions(+), 5 deletions(-)

diff --git a/recipes-support/nis/files/ypbind-yocto.init b/recipes-support/nis/files/ypbind-yocto.init
index da533a1..f97a3e1 100644
--- a/recipes-support/nis/files/ypbind-yocto.init
+++ b/recipes-support/nis/files/ypbind-yocto.init
@@ -26,6 +26,7 @@
 
 YPBIND_BIN=/usr/sbin/ypbind
 pidfile=/var/run/ypbind.pid
+YPDOMAINNAME_bin=/usr/bin/ypdomainname
 
 [ -f /etc/default/ypbind ] && . /etc/default/ypbind
 
@@ -34,14 +35,14 @@ case "$1" in
 	echo -n "Starting ypbind"
 	## If the domainname is not set, skip starting of ypbind
 	## and return with "program not configured"
-        /bin/ypdomainname &> /dev/null
-        if [ $? -ne 0 -o -z "`/bin/ypdomainname 2>/dev/null`" ]; then
+        $YPDOMAINNAME_bin &> /dev/null
+        if [ $? -ne 0 -o -z "`$YPDOMAINNAME_bin 2>/dev/null`" ]; then
            if [ -f /etc/defaultdomain ]; then
              XDOMAINNAME=`cat /etc/defaultdomain`
-             /bin/ypdomainname "$XDOMAINNAME"
+             $YPDOMAINNAME_bin "$XDOMAINNAME"
 	   fi
-           /bin/ypdomainname &> /dev/null
-           if [ $? -ne 0 -o -z "`/bin/ypdomainname 2>/dev/null`" ]; then
+           $YPDOMAINNAME_bin &> /dev/null
+           if [ $? -ne 0 -o -z "`$YPDOMAINNAME_bin 2>/dev/null`" ]; then
 	     # Tell the user this has skipped
 	     echo -n " . . . . . . . . . . No domainname set"
              # service is not configured
diff --git a/recipes-support/nis/ypbind-mt_1.36.bb b/recipes-support/nis/ypbind-mt_1.36.bb
index 35ef16a..4fdef9f 100644
--- a/recipes-support/nis/ypbind-mt_1.36.bb
+++ b/recipes-support/nis/ypbind-mt_1.36.bb
@@ -50,3 +50,4 @@ RPROVIDES_${PN} += "${PN}-systemd"
 RREPLACES_${PN} += "${PN}-systemd"
 RCONFLICTS_${PN} += "${PN}-systemd"
 SYSTEMD_SERVICE_${PN} = "ypbind.service"
+RDEPENDS_${PN} += "yp-tools"
-- 
1.8.5.2.233.g932f7e4




More information about the Openembedded-devel mailing list